API Documentation
Kuali Research REST APIs - Negotiations
Research Negotiation ¶
Negotiation Activities ¶
Get Negotiation Activities by KeyGET/negotiation/api/v1/negotiation-activities/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"activityId": "(val)",
"activityTypeId": "(val)",
"createDate": "(val)",
"description": "(val)",
"endDate": "(val)",
"followupDate": "(val)",
"lastModifiedDate": "(val)",
"lastModifiedUsername": "(val)",
"locationId": "(val)",
"negotiationId": "(val)",
"restricted": "(val)",
"startDate": "(val)",
"_primaryKey": "(val)"
}Get All Negotiation ActivitiesGET/negotiation/api/v1/negotiation-activities/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"activityId": "(val)",
"activityTypeId": "(val)",
"createDate": "(val)",
"description": "(val)",
"endDate": "(val)",
"followupDate": "(val)",
"lastModifiedDate": "(val)",
"lastModifiedUsername": "(val)",
"locationId": "(val)",
"negotiationId": "(val)",
"restricted": "(val)",
"startDate": "(val)",
"_primaryKey": "(val)"
},
{
"activityId": "(val)",
"activityTypeId": "(val)",
"createDate": "(val)",
"description": "(val)",
"endDate": "(val)",
"followupDate": "(val)",
"lastModifiedDate": "(val)",
"lastModifiedUsername": "(val)",
"locationId": "(val)",
"negotiationId": "(val)",
"restricted": "(val)",
"startDate": "(val)",
"_primaryKey": "(val)"
}
]Get All Negotiation Activities with FilteringGET/negotiation/api/v1/negotiation-activities/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- activityId
string(optional)negotiationActivityId. Maximum length is 22. Validating pattern is ^[0-9]*$.
- activityTypeId
string(optional)Activity Type. Maximum length is 22. Validating pattern is ^[0-9]*$.
- createDate
string(optional)Create Date. Maximum length is 21. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.
- description
string(optional)Activity Description. Maximum length is 2000. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- endDate
string(optional)Activity End Date. Maximum length is 21. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.
- followupDate
string(optional)Follow-up Date. Maximum length is 21. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.
- lastModifiedDate
string(optional)Last Update. Maximum length is 21. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.
- lastModifiedUsername
string(optional)Last Update By. Maximum length is 100. Validating pattern is ^[\p{Graph}]*$.
- locationId
string(optional)Location. Maximum length is 22. Validating pattern is ^[0-9]*$.
- negotiationId
string(optional)- restricted
string(optional)- startDate
string(optional)Activity Start Date. Maximum length is 21. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"activityId": "(val)",
"activityTypeId": "(val)",
"createDate": "(val)",
"description": "(val)",
"endDate": "(val)",
"followupDate": "(val)",
"lastModifiedDate": "(val)",
"lastModifiedUsername": "(val)",
"locationId": "(val)",
"negotiationId": "(val)",
"restricted": "(val)",
"startDate": "(val)",
"_primaryKey": "(val)"
},
{
"activityId": "(val)",
"activityTypeId": "(val)",
"createDate": "(val)",
"description": "(val)",
"endDate": "(val)",
"followupDate": "(val)",
"lastModifiedDate": "(val)",
"lastModifiedUsername": "(val)",
"locationId": "(val)",
"negotiationId": "(val)",
"restricted": "(val)",
"startDate": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Negotiation ActivitiesGET/negotiation/api/v1/negotiation-activities/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"activityId",
"activityTypeId",
"createDate",
"description",
"endDate",
"followupDate",
"lastModifiedDate",
"lastModifiedUsername",
"locationId",
"negotiationId",
"restricted",
"startDate"
],
"primaryKey": "activityId"
}Get Blueprint API specification for Negotiation ActivitiesGET/negotiation/api/v1/negotiation-activities/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Negotiation Activities.md"
transfer-encoding: chunkedUpdate Negotiation ActivitiesPUT/negotiation/api/v1/negotiation-activities/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"activityId": "(val)",
"activityTypeId": "(val)",
"createDate": "(val)",
"description": "(val)",
"endDate": "(val)",
"followupDate": "(val)",
"lastModifiedDate": "(val)",
"lastModifiedUsername": "(val)",
"locationId": "(val)",
"negotiationId": "(val)",
"restricted": "(val)",
"startDate": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Negotiation ActivitiesPUT/negotiation/api/v1/negotiation-activities/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"activityId": "(val)",
"activityTypeId": "(val)",
"createDate": "(val)",
"description": "(val)",
"endDate": "(val)",
"followupDate": "(val)",
"lastModifiedDate": "(val)",
"lastModifiedUsername": "(val)",
"locationId": "(val)",
"negotiationId": "(val)",
"restricted": "(val)",
"startDate": "(val)",
"_primaryKey": "(val)"
},
{
"activityId": "(val)",
"activityTypeId": "(val)",
"createDate": "(val)",
"description": "(val)",
"endDate": "(val)",
"followupDate": "(val)",
"lastModifiedDate": "(val)",
"lastModifiedUsername": "(val)",
"locationId": "(val)",
"negotiationId": "(val)",
"restricted": "(val)",
"startDate": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Negotiation ActivitiesPATCH/negotiation/api/v1/negotiation-activities/(key)
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the update
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Body
{
"activityId": "(val)",
"activityTypeId": "(val)",
"createDate": "(val)",
"description": "(val)",
"endDate": "(val)",
"followupDate": "(val)",
"lastModifiedDate": "(val)",
"lastModifiedUsername": "(val)",
"locationId": "(val)",
"negotiationId": "(val)",
"restricted": "(val)",
"startDate": "(val)",
"_primaryKey": "(val)"
}Insert Negotiation ActivitiesPOST/negotiation/api/v1/negotiation-activities/
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the insertion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json201Body
{
"activityId": "(val)",
"activityTypeId": "(val)",
"createDate": "(val)",
"description": "(val)",
"endDate": "(val)",
"followupDate": "(val)",
"lastModifiedDate": "(val)",
"lastModifiedUsername": "(val)",
"locationId": "(val)",
"negotiationId": "(val)",
"restricted": "(val)",
"startDate": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Negotiation ActivitiesPOST/negotiation/api/v1/negotiation-activities/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"activityId": "(val)",
"activityTypeId": "(val)",
"createDate": "(val)",
"description": "(val)",
"endDate": "(val)",
"followupDate": "(val)",
"lastModifiedDate": "(val)",
"lastModifiedUsername": "(val)",
"locationId": "(val)",
"negotiationId": "(val)",
"restricted": "(val)",
"startDate": "(val)",
"_primaryKey": "(val)"
},
{
"activityId": "(val)",
"activityTypeId": "(val)",
"createDate": "(val)",
"description": "(val)",
"endDate": "(val)",
"followupDate": "(val)",
"lastModifiedDate": "(val)",
"lastModifiedUsername": "(val)",
"locationId": "(val)",
"negotiationId": "(val)",
"restricted": "(val)",
"startDate": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"activityId": "(val)",
"activityTypeId": "(val)",
"createDate": "(val)",
"description": "(val)",
"endDate": "(val)",
"followupDate": "(val)",
"lastModifiedDate": "(val)",
"lastModifiedUsername": "(val)",
"locationId": "(val)",
"negotiationId": "(val)",
"restricted": "(val)",
"startDate": "(val)",
"_primaryKey": "(val)"
},
{
"activityId": "(val)",
"activityTypeId": "(val)",
"createDate": "(val)",
"description": "(val)",
"endDate": "(val)",
"followupDate": "(val)",
"lastModifiedDate": "(val)",
"lastModifiedUsername": "(val)",
"locationId": "(val)",
"negotiationId": "(val)",
"restricted": "(val)",
"startDate": "(val)",
"_primaryKey": "(val)"
}
]Delete Negotiation Activities by KeyDELETE/negotiation/api/v1/negotiation-activities/(key)
Example URI
- createMaintenanceDocument
string(required)if true, will create a maintenance document for the deletion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Negotiation ActivitiesDELETE/negotiation/api/v1/negotiation-activities/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalDelete All Negotiation Activities with MatchingDELETE/negotiation/api/v1/negotiation-activities/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- activityId
string(optional)negotiationActivityId. Maximum length is 22. Validating pattern is ^[0-9]*$.
- activityTypeId
string(optional)Activity Type. Maximum length is 22. Validating pattern is ^[0-9]*$.
- createDate
string(optional)Create Date. Maximum length is 21. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.
- description
string(optional)Activity Description. Maximum length is 2000. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- endDate
string(optional)Activity End Date. Maximum length is 21. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.
- followupDate
string(optional)Follow-up Date. Maximum length is 21. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.
- lastModifiedDate
string(optional)Last Update. Maximum length is 21. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.
- lastModifiedUsername
string(optional)Last Update By. Maximum length is 100. Validating pattern is ^[\p{Graph}]*$.
- locationId
string(optional)Location. Maximum length is 22. Validating pattern is ^[0-9]*$.
- negotiationId
string(optional)- restricted
string(optional)- startDate
string(optional)Activity Start Date. Maximum length is 21. Validating pattern is ^(19|2[0-9])[0-9]{2}-(0?[1-9]|1[012])-(0?[1-9]|[12][0-9]|3[01])$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalNegotiation Activity Attachments ¶
Get Negotiation Activity Attachments by KeyGET/negotiation/api/v1/negotiation-activity-attachments/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"activityId": "(val)",
"attachmentId": "(val)",
"description": "(val)",
"fileId": "(val)",
"restricted": "(val)",
"_primaryKey": "(val)"
}Get All Negotiation Activity AttachmentsGET/negotiation/api/v1/negotiation-activity-attachments/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"activityId": "(val)",
"attachmentId": "(val)",
"description": "(val)",
"fileId": "(val)",
"restricted": "(val)",
"_primaryKey": "(val)"
},
{
"activityId": "(val)",
"attachmentId": "(val)",
"description": "(val)",
"fileId": "(val)",
"restricted": "(val)",
"_primaryKey": "(val)"
}
]Get All Negotiation Activity Attachments with FilteringGET/negotiation/api/v1/negotiation-activity-attachments/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- activityId
string(optional)- attachmentId
string(optional)attachmentId. Maximum length is 22. Validating pattern is ^[0-9]*$.
- description
string(optional)Attachment Description. Maximum length is 200. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- fileId
string(optional)- restricted
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"activityId": "(val)",
"attachmentId": "(val)",
"description": "(val)",
"fileId": "(val)",
"restricted": "(val)",
"_primaryKey": "(val)"
},
{
"activityId": "(val)",
"attachmentId": "(val)",
"description": "(val)",
"fileId": "(val)",
"restricted": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Negotiation Activity AttachmentsGET/negotiation/api/v1/negotiation-activity-attachments/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"activityId",
"attachmentId",
"description",
"fileId",
"restricted"
],
"primaryKey": "attachmentId"
}Get Blueprint API specification for Negotiation Activity AttachmentsGET/negotiation/api/v1/negotiation-activity-attachments/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Negotiation Activity Attachments.md"
transfer-encoding: chunkedUpdate Negotiation Activity AttachmentsPUT/negotiation/api/v1/negotiation-activity-attachments/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"activityId": "(val)",
"attachmentId": "(val)",
"description": "(val)",
"fileId": "(val)",
"restricted": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Negotiation Activity AttachmentsPUT/negotiation/api/v1/negotiation-activity-attachments/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"activityId": "(val)",
"attachmentId": "(val)",
"description": "(val)",
"fileId": "(val)",
"restricted": "(val)",
"_primaryKey": "(val)"
},
{
"activityId": "(val)",
"attachmentId": "(val)",
"description": "(val)",
"fileId": "(val)",
"restricted": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Negotiation Activity AttachmentsPATCH/negotiation/api/v1/negotiation-activity-attachments/(key)
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the update
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Body
{
"activityId": "(val)",
"attachmentId": "(val)",
"description": "(val)",
"fileId": "(val)",
"restricted": "(val)",
"_primaryKey": "(val)"
}Insert Negotiation Activity AttachmentsPOST/negotiation/api/v1/negotiation-activity-attachments/
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the insertion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json201Body
{
"activityId": "(val)",
"attachmentId": "(val)",
"description": "(val)",
"fileId": "(val)",
"restricted": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Negotiation Activity AttachmentsPOST/negotiation/api/v1/negotiation-activity-attachments/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"activityId": "(val)",
"attachmentId": "(val)",
"description": "(val)",
"fileId": "(val)",
"restricted": "(val)",
"_primaryKey": "(val)"
},
{
"activityId": "(val)",
"attachmentId": "(val)",
"description": "(val)",
"fileId": "(val)",
"restricted": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"activityId": "(val)",
"attachmentId": "(val)",
"description": "(val)",
"fileId": "(val)",
"restricted": "(val)",
"_primaryKey": "(val)"
},
{
"activityId": "(val)",
"attachmentId": "(val)",
"description": "(val)",
"fileId": "(val)",
"restricted": "(val)",
"_primaryKey": "(val)"
}
]Delete Negotiation Activity Attachments by KeyDELETE/negotiation/api/v1/negotiation-activity-attachments/(key)
Example URI
- createMaintenanceDocument
string(required)if true, will create a maintenance document for the deletion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Negotiation Activity AttachmentsDELETE/negotiation/api/v1/negotiation-activity-attachments/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalDelete All Negotiation Activity Attachments with MatchingDELETE/negotiation/api/v1/negotiation-activity-attachments/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- activityId
string(optional)- attachmentId
string(optional)attachmentId. Maximum length is 22. Validating pattern is ^[0-9]*$.
- description
string(optional)Attachment Description. Maximum length is 200. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- fileId
string(optional)- restricted
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalNegotiation Activity Types ¶
Get Negotiation Activity Types by KeyGET/negotiation/api/v1/negotiation-activity-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"active": "(val)",
"code": "(val)",
"description": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
}Get All Negotiation Activity TypesGET/negotiation/api/v1/negotiation-activity-types/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"active": "(val)",
"code": "(val)",
"description": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
},
{
"active": "(val)",
"code": "(val)",
"description": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
}
]Get All Negotiation Activity Types with FilteringGET/negotiation/api/v1/negotiation-activity-types/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- active
string(optional)Active. Maximum length is 1. Validating pattern is ^[A-Za-z0-9]*$.
- code
string(optional)Activity Type Code. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.
- description
string(optional)Description. Maximum length is 30. Validating pattern is .*.
- id
string(optional)Id. Maximum length is 22. Validating pattern is ^[0-9]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"active": "(val)",
"code": "(val)",
"description": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
},
{
"active": "(val)",
"code": "(val)",
"description": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Negotiation Activity TypesGET/negotiation/api/v1/negotiation-activity-types/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"active",
"code",
"description",
"id"
],
"primaryKey": "id"
}Get Blueprint API specification for Negotiation Activity TypesGET/negotiation/api/v1/negotiation-activity-types/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Negotiation Activity Types.md"
transfer-encoding: chunkedUpdate Negotiation Activity TypesPUT/negotiation/api/v1/negotiation-activity-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"active": "(val)",
"code": "(val)",
"description": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Negotiation Activity TypesPUT/negotiation/api/v1/negotiation-activity-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"active": "(val)",
"code": "(val)",
"description": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
},
{
"active": "(val)",
"code": "(val)",
"description": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Negotiation Activity TypesPATCH/negotiation/api/v1/negotiation-activity-types/(key)
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the update
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Body
{
"active": "(val)",
"code": "(val)",
"description": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
}Insert Negotiation Activity TypesPOST/negotiation/api/v1/negotiation-activity-types/
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the insertion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json201Body
{
"active": "(val)",
"code": "(val)",
"description": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Negotiation Activity TypesPOST/negotiation/api/v1/negotiation-activity-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"active": "(val)",
"code": "(val)",
"description": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
},
{
"active": "(val)",
"code": "(val)",
"description": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"active": "(val)",
"code": "(val)",
"description": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
},
{
"active": "(val)",
"code": "(val)",
"description": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
}
]Delete Negotiation Activity Types by KeyDELETE/negotiation/api/v1/negotiation-activity-types/(key)
Example URI
- createMaintenanceDocument
string(required)if true, will create a maintenance document for the deletion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Negotiation Activity TypesDELETE/negotiation/api/v1/negotiation-activity-types/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalDelete All Negotiation Activity Types with MatchingDELETE/negotiation/api/v1/negotiation-activity-types/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- active
string(optional)Active. Maximum length is 1. Validating pattern is ^[A-Za-z0-9]*$.
- code
string(optional)Activity Type Code. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.
- description
string(optional)Description. Maximum length is 30. Validating pattern is .*.
- id
string(optional)Id. Maximum length is 22. Validating pattern is ^[0-9]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalNegotiation Agreement Types ¶
Get Negotiation Agreement Types by KeyGET/negotiation/api/v1/negotiation-agreement-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"active": "(val)",
"code": "(val)",
"description": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
}Get All Negotiation Agreement TypesGET/negotiation/api/v1/negotiation-agreement-types/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"active": "(val)",
"code": "(val)",
"description": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
},
{
"active": "(val)",
"code": "(val)",
"description": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
}
]Get All Negotiation Agreement Types with FilteringGET/negotiation/api/v1/negotiation-agreement-types/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- active
string(optional)Active. Maximum length is 1. Validating pattern is ^[A-Za-z0-9]*$.
- code
string(optional)Agreement Type Code. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.
- description
string(optional)Description. Maximum length is 200. Validating pattern is .*.
- id
string(optional)Id. Maximum length is 22. Validating pattern is ^[0-9]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"active": "(val)",
"code": "(val)",
"description": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
},
{
"active": "(val)",
"code": "(val)",
"description": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Negotiation Agreement TypesGET/negotiation/api/v1/negotiation-agreement-types/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"active",
"code",
"description",
"id"
],
"primaryKey": "id"
}Get Blueprint API specification for Negotiation Agreement TypesGET/negotiation/api/v1/negotiation-agreement-types/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Negotiation Agreement Types.md"
transfer-encoding: chunkedUpdate Negotiation Agreement TypesPUT/negotiation/api/v1/negotiation-agreement-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"active": "(val)",
"code": "(val)",
"description": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Negotiation Agreement TypesPUT/negotiation/api/v1/negotiation-agreement-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"active": "(val)",
"code": "(val)",
"description": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
},
{
"active": "(val)",
"code": "(val)",
"description": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Negotiation Agreement TypesPATCH/negotiation/api/v1/negotiation-agreement-types/(key)
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the update
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Body
{
"active": "(val)",
"code": "(val)",
"description": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
}Insert Negotiation Agreement TypesPOST/negotiation/api/v1/negotiation-agreement-types/
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the insertion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json201Body
{
"active": "(val)",
"code": "(val)",
"description": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Negotiation Agreement TypesPOST/negotiation/api/v1/negotiation-agreement-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"active": "(val)",
"code": "(val)",
"description": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
},
{
"active": "(val)",
"code": "(val)",
"description": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"active": "(val)",
"code": "(val)",
"description": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
},
{
"active": "(val)",
"code": "(val)",
"description": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
}
]Delete Negotiation Agreement Types by KeyDELETE/negotiation/api/v1/negotiation-agreement-types/(key)
Example URI
- createMaintenanceDocument
string(required)if true, will create a maintenance document for the deletion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Negotiation Agreement TypesDELETE/negotiation/api/v1/negotiation-agreement-types/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalDelete All Negotiation Agreement Types with MatchingDELETE/negotiation/api/v1/negotiation-agreement-types/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- active
string(optional)Active. Maximum length is 1. Validating pattern is ^[A-Za-z0-9]*$.
- code
string(optional)Agreement Type Code. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.
- description
string(optional)Description. Maximum length is 200. Validating pattern is .*.
- id
string(optional)Id. Maximum length is 22. Validating pattern is ^[0-9]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalNegotiation Association Types ¶
Get Negotiation Association Types by KeyGET/negotiation/api/v1/negotiation-association-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"active": "(val)",
"code": "(val)",
"description": "(val)",
"id": "(val)",
"linkedBoClass": "(val)",
"sortId": "(val)",
"_primaryKey": "(val)"
}Get All Negotiation Association TypesGET/negotiation/api/v1/negotiation-association-types/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"active": "(val)",
"code": "(val)",
"description": "(val)",
"id": "(val)",
"linkedBoClass": "(val)",
"sortId": "(val)",
"_primaryKey": "(val)"
},
{
"active": "(val)",
"code": "(val)",
"description": "(val)",
"id": "(val)",
"linkedBoClass": "(val)",
"sortId": "(val)",
"_primaryKey": "(val)"
}
]Get All Negotiation Association Types with FilteringGET/negotiation/api/v1/negotiation-association-types/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- active
string(optional)Active. Maximum length is 1. Validating pattern is ^[A-Za-z0-9]*$.
- code
string(optional)Association Type Code. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.
- description
string(optional)Description. Maximum length is 30. Validating pattern is .*.
- id
string(optional)Id. Maximum length is 22. Validating pattern is ^[0-9]*$.
- linkedBoClass
string(optional)Links To Module. Maximum length is 32. Validating pattern is .*.
- sortId
string(optional)Sort ID. Maximum length is 12. Validating pattern is ^[0-9]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"active": "(val)",
"code": "(val)",
"description": "(val)",
"id": "(val)",
"linkedBoClass": "(val)",
"sortId": "(val)",
"_primaryKey": "(val)"
},
{
"active": "(val)",
"code": "(val)",
"description": "(val)",
"id": "(val)",
"linkedBoClass": "(val)",
"sortId": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Negotiation Association TypesGET/negotiation/api/v1/negotiation-association-types/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"active",
"code",
"description",
"id",
"linkedBoClass",
"sortId"
],
"primaryKey": "id"
}Get Blueprint API specification for Negotiation Association TypesGET/negotiation/api/v1/negotiation-association-types/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Negotiation Association Types.md"
transfer-encoding: chunkedUpdate Negotiation Association TypesPUT/negotiation/api/v1/negotiation-association-types/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"active": "(val)",
"code": "(val)",
"description": "(val)",
"id": "(val)",
"linkedBoClass": "(val)",
"sortId": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Negotiation Association TypesPUT/negotiation/api/v1/negotiation-association-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"active": "(val)",
"code": "(val)",
"description": "(val)",
"id": "(val)",
"linkedBoClass": "(val)",
"sortId": "(val)",
"_primaryKey": "(val)"
},
{
"active": "(val)",
"code": "(val)",
"description": "(val)",
"id": "(val)",
"linkedBoClass": "(val)",
"sortId": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Negotiation Association TypesPATCH/negotiation/api/v1/negotiation-association-types/(key)
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the update
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Body
{
"active": "(val)",
"code": "(val)",
"description": "(val)",
"id": "(val)",
"linkedBoClass": "(val)",
"sortId": "(val)",
"_primaryKey": "(val)"
}Insert Negotiation Association TypesPOST/negotiation/api/v1/negotiation-association-types/
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the insertion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json201Body
{
"active": "(val)",
"code": "(val)",
"description": "(val)",
"id": "(val)",
"linkedBoClass": "(val)",
"sortId": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Negotiation Association TypesPOST/negotiation/api/v1/negotiation-association-types/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"active": "(val)",
"code": "(val)",
"description": "(val)",
"id": "(val)",
"linkedBoClass": "(val)",
"sortId": "(val)",
"_primaryKey": "(val)"
},
{
"active": "(val)",
"code": "(val)",
"description": "(val)",
"id": "(val)",
"linkedBoClass": "(val)",
"sortId": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"active": "(val)",
"code": "(val)",
"description": "(val)",
"id": "(val)",
"linkedBoClass": "(val)",
"sortId": "(val)",
"_primaryKey": "(val)"
},
{
"active": "(val)",
"code": "(val)",
"description": "(val)",
"id": "(val)",
"linkedBoClass": "(val)",
"sortId": "(val)",
"_primaryKey": "(val)"
}
]Delete Negotiation Association Types by KeyDELETE/negotiation/api/v1/negotiation-association-types/(key)
Example URI
- createMaintenanceDocument
string(required)if true, will create a maintenance document for the deletion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Negotiation Association TypesDELETE/negotiation/api/v1/negotiation-association-types/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalDelete All Negotiation Association Types with MatchingDELETE/negotiation/api/v1/negotiation-association-types/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- active
string(optional)Active. Maximum length is 1. Validating pattern is ^[A-Za-z0-9]*$.
- code
string(optional)Association Type Code. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.
- description
string(optional)Description. Maximum length is 30. Validating pattern is .*.
- id
string(optional)Id. Maximum length is 22. Validating pattern is ^[0-9]*$.
- linkedBoClass
string(optional)Links To Module. Maximum length is 32. Validating pattern is .*.
- sortId
string(optional)Sort ID. Maximum length is 12. Validating pattern is ^[0-9]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalNegotiation Custom Data ¶
Get Negotiation Custom Data by KeyGET/negotiation/api/v1/negotiation-custom-data/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"negotiation.negotiationId": "(val)",
"customAttributeId": "(val)",
"negotiationCustomDataId": "(val)",
"negotiationNumber": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}Get All Negotiation Custom DataGET/negotiation/api/v1/negotiation-custom-data/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"negotiation.negotiationId": "(val)",
"customAttributeId": "(val)",
"negotiationCustomDataId": "(val)",
"negotiationNumber": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
},
{
"negotiation.negotiationId": "(val)",
"customAttributeId": "(val)",
"negotiationCustomDataId": "(val)",
"negotiationNumber": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}
]Get All Negotiation Custom Data with FilteringGET/negotiation/api/v1/negotiation-custom-data/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- negotiation.negotiationId
string(optional)- customAttributeId
string(optional)- negotiationCustomDataId
string(optional)- negotiationNumber
string(optional)- value
string(optional)Value. Maximum length is 2000. Validating pattern is ^[\u0000-\uFFFF]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"negotiation.negotiationId": "(val)",
"customAttributeId": "(val)",
"negotiationCustomDataId": "(val)",
"negotiationNumber": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
},
{
"negotiation.negotiationId": "(val)",
"customAttributeId": "(val)",
"negotiationCustomDataId": "(val)",
"negotiationNumber": "(val)",
"value": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Negotiation Custom DataGET/negotiation/api/v1/negotiation-custom-data/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"negotiation.negotiationId",
"customAttributeId",
"negotiationCustomDataId",
"negotiationNumber",
"value"
],
"primaryKey": "negotiationCustomDataId"
}Get Blueprint API specification for Negotiation Custom DataGET/negotiation/api/v1/negotiation-custom-data/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Negotiation Custom Data.md"
transfer-encoding: chunkedNegotiation Locations ¶
Get Negotiation Locations by KeyGET/negotiation/api/v1/negotiation-locations/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"active": "(val)",
"code": "(val)",
"description": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
}Get All Negotiation LocationsGET/negotiation/api/v1/negotiation-locations/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"active": "(val)",
"code": "(val)",
"description": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
},
{
"active": "(val)",
"code": "(val)",
"description": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
}
]Get All Negotiation Locations with FilteringGET/negotiation/api/v1/negotiation-locations/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- active
string(optional)Active. Maximum length is 1. Validating pattern is ^[A-Za-z0-9]*$.
- code
string(optional)Location Code. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.
- description
string(optional)Description. Maximum length is 30. Validating pattern is .*.
- id
string(optional)Id. Maximum length is 22. Validating pattern is ^[0-9]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"active": "(val)",
"code": "(val)",
"description": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
},
{
"active": "(val)",
"code": "(val)",
"description": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Negotiation LocationsGET/negotiation/api/v1/negotiation-locations/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"active",
"code",
"description",
"id"
],
"primaryKey": "id"
}Get Blueprint API specification for Negotiation LocationsGET/negotiation/api/v1/negotiation-locations/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Negotiation Locations.md"
transfer-encoding: chunkedUpdate Negotiation LocationsPUT/negotiation/api/v1/negotiation-locations/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"active": "(val)",
"code": "(val)",
"description": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Negotiation LocationsPUT/negotiation/api/v1/negotiation-locations/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"active": "(val)",
"code": "(val)",
"description": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
},
{
"active": "(val)",
"code": "(val)",
"description": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Negotiation LocationsPATCH/negotiation/api/v1/negotiation-locations/(key)
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the update
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Body
{
"active": "(val)",
"code": "(val)",
"description": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
}Insert Negotiation LocationsPOST/negotiation/api/v1/negotiation-locations/
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the insertion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json201Body
{
"active": "(val)",
"code": "(val)",
"description": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Negotiation LocationsPOST/negotiation/api/v1/negotiation-locations/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"active": "(val)",
"code": "(val)",
"description": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
},
{
"active": "(val)",
"code": "(val)",
"description": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"active": "(val)",
"code": "(val)",
"description": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
},
{
"active": "(val)",
"code": "(val)",
"description": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
}
]Delete Negotiation Locations by KeyDELETE/negotiation/api/v1/negotiation-locations/(key)
Example URI
- createMaintenanceDocument
string(required)if true, will create a maintenance document for the deletion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Negotiation LocationsDELETE/negotiation/api/v1/negotiation-locations/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalDelete All Negotiation Locations with MatchingDELETE/negotiation/api/v1/negotiation-locations/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- active
string(optional)Active. Maximum length is 1. Validating pattern is ^[A-Za-z0-9]*$.
- code
string(optional)Location Code. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.
- description
string(optional)Description. Maximum length is 30. Validating pattern is .*.
- id
string(optional)Id. Maximum length is 22. Validating pattern is ^[0-9]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalNegotiation Notifications ¶
Get Negotiation Notifications by KeyGET/negotiation/api/v1/negotiation-notifications/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"createTimestamp": "(val)",
"documentNumber": "(val)",
"message": "(val)",
"notificationId": "(val)",
"notificationTypeId": "(val)",
"owningDocumentIdFk": "(val)",
"recipients": "(val)",
"subject": "(val)",
"_primaryKey": "(val)"
}Get All Negotiation NotificationsGET/negotiation/api/v1/negotiation-notifications/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"createTimestamp": "(val)",
"documentNumber": "(val)",
"message": "(val)",
"notificationId": "(val)",
"notificationTypeId": "(val)",
"owningDocumentIdFk": "(val)",
"recipients": "(val)",
"subject": "(val)",
"_primaryKey": "(val)"
},
{
"createTimestamp": "(val)",
"documentNumber": "(val)",
"message": "(val)",
"notificationId": "(val)",
"notificationTypeId": "(val)",
"owningDocumentIdFk": "(val)",
"recipients": "(val)",
"subject": "(val)",
"_primaryKey": "(val)"
}
]Get All Negotiation Notifications with FilteringGET/negotiation/api/v1/negotiation-notifications/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- createTimestamp
string(optional)- documentNumber
string(optional)- message
string(optional)- notificationId
string(optional)- notificationTypeId
string(optional)- owningDocumentIdFk
string(optional)- recipients
string(optional)- subject
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"createTimestamp": "(val)",
"documentNumber": "(val)",
"message": "(val)",
"notificationId": "(val)",
"notificationTypeId": "(val)",
"owningDocumentIdFk": "(val)",
"recipients": "(val)",
"subject": "(val)",
"_primaryKey": "(val)"
},
{
"createTimestamp": "(val)",
"documentNumber": "(val)",
"message": "(val)",
"notificationId": "(val)",
"notificationTypeId": "(val)",
"owningDocumentIdFk": "(val)",
"recipients": "(val)",
"subject": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Negotiation NotificationsGET/negotiation/api/v1/negotiation-notifications/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"createTimestamp",
"documentNumber",
"message",
"notificationId",
"notificationTypeId",
"owningDocumentIdFk",
"recipients",
"subject"
],
"primaryKey": "notificationId"
}Get Blueprint API specification for Negotiation NotificationsGET/negotiation/api/v1/negotiation-notifications/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Negotiation Notifications.md"
transfer-encoding: chunkedUpdate Negotiation NotificationsPUT/negotiation/api/v1/negotiation-notifications/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"createTimestamp": "(val)",
"documentNumber": "(val)",
"message": "(val)",
"notificationId": "(val)",
"notificationTypeId": "(val)",
"owningDocumentIdFk": "(val)",
"recipients": "(val)",
"subject": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Negotiation NotificationsPUT/negotiation/api/v1/negotiation-notifications/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"createTimestamp": "(val)",
"documentNumber": "(val)",
"message": "(val)",
"notificationId": "(val)",
"notificationTypeId": "(val)",
"owningDocumentIdFk": "(val)",
"recipients": "(val)",
"subject": "(val)",
"_primaryKey": "(val)"
},
{
"createTimestamp": "(val)",
"documentNumber": "(val)",
"message": "(val)",
"notificationId": "(val)",
"notificationTypeId": "(val)",
"owningDocumentIdFk": "(val)",
"recipients": "(val)",
"subject": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Negotiation NotificationsPATCH/negotiation/api/v1/negotiation-notifications/(key)
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the update
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Body
{
"createTimestamp": "(val)",
"documentNumber": "(val)",
"message": "(val)",
"notificationId": "(val)",
"notificationTypeId": "(val)",
"owningDocumentIdFk": "(val)",
"recipients": "(val)",
"subject": "(val)",
"_primaryKey": "(val)"
}Insert Negotiation NotificationsPOST/negotiation/api/v1/negotiation-notifications/
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the insertion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json201Body
{
"createTimestamp": "(val)",
"documentNumber": "(val)",
"message": "(val)",
"notificationId": "(val)",
"notificationTypeId": "(val)",
"owningDocumentIdFk": "(val)",
"recipients": "(val)",
"subject": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Negotiation NotificationsPOST/negotiation/api/v1/negotiation-notifications/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"createTimestamp": "(val)",
"documentNumber": "(val)",
"message": "(val)",
"notificationId": "(val)",
"notificationTypeId": "(val)",
"owningDocumentIdFk": "(val)",
"recipients": "(val)",
"subject": "(val)",
"_primaryKey": "(val)"
},
{
"createTimestamp": "(val)",
"documentNumber": "(val)",
"message": "(val)",
"notificationId": "(val)",
"notificationTypeId": "(val)",
"owningDocumentIdFk": "(val)",
"recipients": "(val)",
"subject": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"createTimestamp": "(val)",
"documentNumber": "(val)",
"message": "(val)",
"notificationId": "(val)",
"notificationTypeId": "(val)",
"owningDocumentIdFk": "(val)",
"recipients": "(val)",
"subject": "(val)",
"_primaryKey": "(val)"
},
{
"createTimestamp": "(val)",
"documentNumber": "(val)",
"message": "(val)",
"notificationId": "(val)",
"notificationTypeId": "(val)",
"owningDocumentIdFk": "(val)",
"recipients": "(val)",
"subject": "(val)",
"_primaryKey": "(val)"
}
]Delete Negotiation Notifications by KeyDELETE/negotiation/api/v1/negotiation-notifications/(key)
Example URI
- createMaintenanceDocument
string(required)if true, will create a maintenance document for the deletion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Negotiation NotificationsDELETE/negotiation/api/v1/negotiation-notifications/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalDelete All Negotiation Notifications with MatchingDELETE/negotiation/api/v1/negotiation-notifications/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- createTimestamp
string(optional)- documentNumber
string(optional)- message
string(optional)- notificationId
string(optional)- notificationTypeId
string(optional)- owningDocumentIdFk
string(optional)- recipients
string(optional)- subject
string(optional)
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalNegotiation Person Mass Changes ¶
Get Negotiation Person Mass Changes by KeyGET/negotiation/api/v1/negotiation-person-mass-changes/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"negotiationPersonMassChangeId": "(val)",
"negotiator": "(val)",
"personMassChangeId": "(val)",
"_primaryKey": "(val)"
}Get All Negotiation Person Mass ChangesGET/negotiation/api/v1/negotiation-person-mass-changes/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"negotiationPersonMassChangeId": "(val)",
"negotiator": "(val)",
"personMassChangeId": "(val)",
"_primaryKey": "(val)"
},
{
"negotiationPersonMassChangeId": "(val)",
"negotiator": "(val)",
"personMassChangeId": "(val)",
"_primaryKey": "(val)"
}
]Get All Negotiation Person Mass Changes with FilteringGET/negotiation/api/v1/negotiation-person-mass-changes/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- negotiationPersonMassChangeId
string(optional)Negotiation Person Mass Change Id. Maximum length is 12. Validating pattern is ^[0-9]*$.
- negotiator
string(optional)Negotiator. Maximum length is 1. Validating pattern is .*.
- personMassChangeId
string(optional)Person Mass Change Id. Maximum length is 12. Validating pattern is ^[0-9]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"negotiationPersonMassChangeId": "(val)",
"negotiator": "(val)",
"personMassChangeId": "(val)",
"_primaryKey": "(val)"
},
{
"negotiationPersonMassChangeId": "(val)",
"negotiator": "(val)",
"personMassChangeId": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Negotiation Person Mass ChangesGET/negotiation/api/v1/negotiation-person-mass-changes/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"negotiationPersonMassChangeId",
"negotiator",
"personMassChangeId"
],
"primaryKey": "negotiationPersonMassChangeId"
}Get Blueprint API specification for Negotiation Person Mass ChangesGET/negotiation/api/v1/negotiation-person-mass-changes/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Negotiation Person Mass Changes.md"
transfer-encoding: chunkedUpdate Negotiation Person Mass ChangesPUT/negotiation/api/v1/negotiation-person-mass-changes/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"negotiationPersonMassChangeId": "(val)",
"negotiator": "(val)",
"personMassChangeId": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Negotiation Person Mass ChangesPUT/negotiation/api/v1/negotiation-person-mass-changes/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"negotiationPersonMassChangeId": "(val)",
"negotiator": "(val)",
"personMassChangeId": "(val)",
"_primaryKey": "(val)"
},
{
"negotiationPersonMassChangeId": "(val)",
"negotiator": "(val)",
"personMassChangeId": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Negotiation Person Mass ChangesPATCH/negotiation/api/v1/negotiation-person-mass-changes/(key)
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the update
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Body
{
"negotiationPersonMassChangeId": "(val)",
"negotiator": "(val)",
"personMassChangeId": "(val)",
"_primaryKey": "(val)"
}Insert Negotiation Person Mass ChangesPOST/negotiation/api/v1/negotiation-person-mass-changes/
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the insertion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json201Body
{
"negotiationPersonMassChangeId": "(val)",
"negotiator": "(val)",
"personMassChangeId": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Negotiation Person Mass ChangesPOST/negotiation/api/v1/negotiation-person-mass-changes/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"negotiationPersonMassChangeId": "(val)",
"negotiator": "(val)",
"personMassChangeId": "(val)",
"_primaryKey": "(val)"
},
{
"negotiationPersonMassChangeId": "(val)",
"negotiator": "(val)",
"personMassChangeId": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"negotiationPersonMassChangeId": "(val)",
"negotiator": "(val)",
"personMassChangeId": "(val)",
"_primaryKey": "(val)"
},
{
"negotiationPersonMassChangeId": "(val)",
"negotiator": "(val)",
"personMassChangeId": "(val)",
"_primaryKey": "(val)"
}
]Delete Negotiation Person Mass Changes by KeyDELETE/negotiation/api/v1/negotiation-person-mass-changes/(key)
Example URI
- createMaintenanceDocument
string(required)if true, will create a maintenance document for the deletion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Negotiation Person Mass ChangesDELETE/negotiation/api/v1/negotiation-person-mass-changes/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalDelete All Negotiation Person Mass Changes with MatchingDELETE/negotiation/api/v1/negotiation-person-mass-changes/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- negotiationPersonMassChangeId
string(optional)Negotiation Person Mass Change Id. Maximum length is 12. Validating pattern is ^[0-9]*$.
- negotiator
string(optional)Negotiator. Maximum length is 1. Validating pattern is .*.
- personMassChangeId
string(optional)Person Mass Change Id. Maximum length is 12. Validating pattern is ^[0-9]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalNegotiation Statuses ¶
Get Negotiation Statuses by KeyGET/negotiation/api/v1/negotiation-statuses/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"active": "(val)",
"code": "(val)",
"description": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
}Get All Negotiation StatusesGET/negotiation/api/v1/negotiation-statuses/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"active": "(val)",
"code": "(val)",
"description": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
},
{
"active": "(val)",
"code": "(val)",
"description": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
}
]Get All Negotiation Statuses with FilteringGET/negotiation/api/v1/negotiation-statuses/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- active
string(optional)Active. Maximum length is 1. Validating pattern is ^[A-Za-z0-9]*$.
- code
string(optional)Status Code. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.
- description
string(optional)Description. Maximum length is 30. Validating pattern is .*.
- id
string(optional)Id. Maximum length is 22. Validating pattern is ^[0-9]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"active": "(val)",
"code": "(val)",
"description": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
},
{
"active": "(val)",
"code": "(val)",
"description": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Negotiation StatusesGET/negotiation/api/v1/negotiation-statuses/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"active",
"code",
"description",
"id"
],
"primaryKey": "id"
}Get Blueprint API specification for Negotiation StatusesGET/negotiation/api/v1/negotiation-statuses/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Negotiation Statuses.md"
transfer-encoding: chunkedUpdate Negotiation StatusesPUT/negotiation/api/v1/negotiation-statuses/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"active": "(val)",
"code": "(val)",
"description": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Negotiation StatusesPUT/negotiation/api/v1/negotiation-statuses/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"active": "(val)",
"code": "(val)",
"description": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
},
{
"active": "(val)",
"code": "(val)",
"description": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Negotiation StatusesPATCH/negotiation/api/v1/negotiation-statuses/(key)
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the update
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Body
{
"active": "(val)",
"code": "(val)",
"description": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
}Insert Negotiation StatusesPOST/negotiation/api/v1/negotiation-statuses/
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the insertion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json201Body
{
"active": "(val)",
"code": "(val)",
"description": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Negotiation StatusesPOST/negotiation/api/v1/negotiation-statuses/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"active": "(val)",
"code": "(val)",
"description": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
},
{
"active": "(val)",
"code": "(val)",
"description": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"active": "(val)",
"code": "(val)",
"description": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
},
{
"active": "(val)",
"code": "(val)",
"description": "(val)",
"id": "(val)",
"_primaryKey": "(val)"
}
]Delete Negotiation Statuses by KeyDELETE/negotiation/api/v1/negotiation-statuses/(key)
Example URI
- createMaintenanceDocument
string(required)if true, will create a maintenance document for the deletion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Negotiation StatusesDELETE/negotiation/api/v1/negotiation-statuses/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalDelete All Negotiation Statuses with MatchingDELETE/negotiation/api/v1/negotiation-statuses/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- active
string(optional)Active. Maximum length is 1. Validating pattern is ^[A-Za-z0-9]*$.
- code
string(optional)Status Code. Maximum length is 3. Validating pattern is ^[A-Za-z0-9]*$.
- description
string(optional)Description. Maximum length is 30. Validating pattern is .*.
- id
string(optional)Id. Maximum length is 22. Validating pattern is ^[0-9]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalNegotiation Unassociated Details ¶
Get Negotiation Unassociated Details by KeyGET/negotiation/api/v1/negotiation-unassociated-details/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"contactAdminPersonId": "(val)",
"leadUnitNumber": "(val)",
"negotiationId": "(val)",
"negotiationUnassociatedDetailId": "(val)",
"piName": "(val)",
"piPersonId": "(val)",
"piRolodexId": "(val)",
"primeSponsorCode": "(val)",
"sponsorAwardNumber": "(val)",
"sponsorCode": "(val)",
"subAwardOrganizationId": "(val)",
"title": "(val)",
"_primaryKey": "(val)"
}Get All Negotiation Unassociated DetailsGET/negotiation/api/v1/negotiation-unassociated-details/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"contactAdminPersonId": "(val)",
"leadUnitNumber": "(val)",
"negotiationId": "(val)",
"negotiationUnassociatedDetailId": "(val)",
"piName": "(val)",
"piPersonId": "(val)",
"piRolodexId": "(val)",
"primeSponsorCode": "(val)",
"sponsorAwardNumber": "(val)",
"sponsorCode": "(val)",
"subAwardOrganizationId": "(val)",
"title": "(val)",
"_primaryKey": "(val)"
},
{
"contactAdminPersonId": "(val)",
"leadUnitNumber": "(val)",
"negotiationId": "(val)",
"negotiationUnassociatedDetailId": "(val)",
"piName": "(val)",
"piPersonId": "(val)",
"piRolodexId": "(val)",
"primeSponsorCode": "(val)",
"sponsorAwardNumber": "(val)",
"sponsorCode": "(val)",
"subAwardOrganizationId": "(val)",
"title": "(val)",
"_primaryKey": "(val)"
}
]Get All Negotiation Unassociated Details with FilteringGET/negotiation/api/v1/negotiation-unassociated-details/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to fetch. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- contactAdminPersonId
string(optional)Admin Person. Maximum length is 40. Validating pattern is ^[\p{Graph}]*$.
- leadUnitNumber
string(optional)Lead Unit. Maximum length is 20. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- negotiationId
string(optional)Negotiation ID. Maximum length is 22. Validating pattern is ^[0-9]*$.
- negotiationUnassociatedDetailId
string(optional)negotiationUnassociatedDetailId. Maximum length is 22. Validating pattern is ^[0-9]*$.
- piName
string(optional)Principal Investigator Name. Maximum length is 165. Validating pattern is .*.
- piPersonId
string(optional)Principal Investigator Employee. Maximum length is 40. Validating pattern is ^[\p{Graph}]*$.
- piRolodexId
string(optional)Principal Investigator Non-Employee. Maximum length is 6. Validating pattern is ^((-?[1-9][0-9])|[0])*$.
- primeSponsorCode
string(optional)Prime Sponsor. Maximum length is 20. Validating pattern is ^[\p{Graph}]*$.
- sponsorAwardNumber
string(optional)Sponsor Award ID. Maximum length is 70. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- sponsorCode
string(optional)Sponsor. Maximum length is 20. Validating pattern is ^[\p{Graph}]*$.
- subAwardOrganizationId
string(optional)Subaward Organization. Maximum length is 8. Validating pattern is ^[\p{Graph}]*$.
- title
string(optional)Title. Maximum length is 200. Validating pattern is ^[\u0000-\uFFFF]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to fetch either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalBody
[
{
"contactAdminPersonId": "(val)",
"leadUnitNumber": "(val)",
"negotiationId": "(val)",
"negotiationUnassociatedDetailId": "(val)",
"piName": "(val)",
"piPersonId": "(val)",
"piRolodexId": "(val)",
"primeSponsorCode": "(val)",
"sponsorAwardNumber": "(val)",
"sponsorCode": "(val)",
"subAwardOrganizationId": "(val)",
"title": "(val)",
"_primaryKey": "(val)"
},
{
"contactAdminPersonId": "(val)",
"leadUnitNumber": "(val)",
"negotiationId": "(val)",
"negotiationUnassociatedDetailId": "(val)",
"piName": "(val)",
"piPersonId": "(val)",
"piRolodexId": "(val)",
"primeSponsorCode": "(val)",
"sponsorAwardNumber": "(val)",
"sponsorCode": "(val)",
"subAwardOrganizationId": "(val)",
"title": "(val)",
"_primaryKey": "(val)"
}
]Get Schema for Negotiation Unassociated DetailsGET/negotiation/api/v1/negotiation-unassociated-details/
Example URI
- _schema
string(required)will instruct the endpoint to return a schema data structure for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"columns": [
"contactAdminPersonId",
"leadUnitNumber",
"negotiationId",
"negotiationUnassociatedDetailId",
"piName",
"piPersonId",
"piRolodexId",
"primeSponsorCode",
"sponsorAwardNumber",
"sponsorCode",
"subAwardOrganizationId",
"title"
],
"primaryKey": "negotiationUnassociatedDetailId"
}Get Blueprint API specification for Negotiation Unassociated DetailsGET/negotiation/api/v1/negotiation-unassociated-details/
Example URI
- _blueprint
string(required)will instruct the endpoint to return an api blueprint markdown file for the resource
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown200Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Negotiation Unassociated Details.md"
transfer-encoding: chunkedUpdate Negotiation Unassociated DetailsPUT/negotiation/api/v1/negotiation-unassociated-details/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
{
"contactAdminPersonId": "(val)",
"leadUnitNumber": "(val)",
"negotiationId": "(val)",
"negotiationUnassociatedDetailId": "(val)",
"piName": "(val)",
"piPersonId": "(val)",
"piRolodexId": "(val)",
"primeSponsorCode": "(val)",
"sponsorAwardNumber": "(val)",
"sponsorCode": "(val)",
"subAwardOrganizationId": "(val)",
"title": "(val)",
"_primaryKey": "(val)"
}204Update Multiple Negotiation Unassociated DetailsPUT/negotiation/api/v1/negotiation-unassociated-details/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"contactAdminPersonId": "(val)",
"leadUnitNumber": "(val)",
"negotiationId": "(val)",
"negotiationUnassociatedDetailId": "(val)",
"piName": "(val)",
"piPersonId": "(val)",
"piRolodexId": "(val)",
"primeSponsorCode": "(val)",
"sponsorAwardNumber": "(val)",
"sponsorCode": "(val)",
"subAwardOrganizationId": "(val)",
"title": "(val)",
"_primaryKey": "(val)"
},
{
"contactAdminPersonId": "(val)",
"leadUnitNumber": "(val)",
"negotiationId": "(val)",
"negotiationUnassociatedDetailId": "(val)",
"piName": "(val)",
"piPersonId": "(val)",
"piRolodexId": "(val)",
"primeSponsorCode": "(val)",
"sponsorAwardNumber": "(val)",
"sponsorCode": "(val)",
"subAwardOrganizationId": "(val)",
"title": "(val)",
"_primaryKey": "(val)"
}
]204Update Specific Attributes Negotiation Unassociated DetailsPATCH/negotiation/api/v1/negotiation-unassociated-details/(key)
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the update
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Body
{
"contactAdminPersonId": "(val)",
"leadUnitNumber": "(val)",
"negotiationId": "(val)",
"negotiationUnassociatedDetailId": "(val)",
"piName": "(val)",
"piPersonId": "(val)",
"piRolodexId": "(val)",
"primeSponsorCode": "(val)",
"sponsorAwardNumber": "(val)",
"sponsorCode": "(val)",
"subAwardOrganizationId": "(val)",
"title": "(val)",
"_primaryKey": "(val)"
}Insert Negotiation Unassociated DetailsPOST/negotiation/api/v1/negotiation-unassociated-details/
Example URI
- createMaintenanceDocument
string(required)if
true, will create a maintenance document for the insertion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json201Body
{
"contactAdminPersonId": "(val)",
"leadUnitNumber": "(val)",
"negotiationId": "(val)",
"negotiationUnassociatedDetailId": "(val)",
"piName": "(val)",
"piPersonId": "(val)",
"piRolodexId": "(val)",
"primeSponsorCode": "(val)",
"sponsorAwardNumber": "(val)",
"sponsorCode": "(val)",
"subAwardOrganizationId": "(val)",
"title": "(val)",
"_primaryKey": "(val)"
}Insert Multiple Negotiation Unassociated DetailsPOST/negotiation/api/v1/negotiation-unassociated-details/
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/jsonBody
[
{
"contactAdminPersonId": "(val)",
"leadUnitNumber": "(val)",
"negotiationId": "(val)",
"negotiationUnassociatedDetailId": "(val)",
"piName": "(val)",
"piPersonId": "(val)",
"piRolodexId": "(val)",
"primeSponsorCode": "(val)",
"sponsorAwardNumber": "(val)",
"sponsorCode": "(val)",
"subAwardOrganizationId": "(val)",
"title": "(val)",
"_primaryKey": "(val)"
},
{
"contactAdminPersonId": "(val)",
"leadUnitNumber": "(val)",
"negotiationId": "(val)",
"negotiationUnassociatedDetailId": "(val)",
"piName": "(val)",
"piPersonId": "(val)",
"piRolodexId": "(val)",
"primeSponsorCode": "(val)",
"sponsorAwardNumber": "(val)",
"sponsorCode": "(val)",
"subAwardOrganizationId": "(val)",
"title": "(val)",
"_primaryKey": "(val)"
}
]201Body
[
{
"contactAdminPersonId": "(val)",
"leadUnitNumber": "(val)",
"negotiationId": "(val)",
"negotiationUnassociatedDetailId": "(val)",
"piName": "(val)",
"piPersonId": "(val)",
"piRolodexId": "(val)",
"primeSponsorCode": "(val)",
"sponsorAwardNumber": "(val)",
"sponsorCode": "(val)",
"subAwardOrganizationId": "(val)",
"title": "(val)",
"_primaryKey": "(val)"
},
{
"contactAdminPersonId": "(val)",
"leadUnitNumber": "(val)",
"negotiationId": "(val)",
"negotiationUnassociatedDetailId": "(val)",
"piName": "(val)",
"piPersonId": "(val)",
"piRolodexId": "(val)",
"primeSponsorCode": "(val)",
"sponsorAwardNumber": "(val)",
"sponsorCode": "(val)",
"subAwardOrganizationId": "(val)",
"title": "(val)",
"_primaryKey": "(val)"
}
]Delete Negotiation Unassociated Details by KeyDELETE/negotiation/api/v1/negotiation-unassociated-details/(key)
Example URI
- createMaintenanceDocument
string(required)if true, will create a maintenance document for the deletion
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Delete All Negotiation Unassociated DetailsDELETE/negotiation/api/v1/negotiation-unassociated-details/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalDelete All Negotiation Unassociated Details with MatchingDELETE/negotiation/api/v1/negotiation-unassociated-details/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
string(optional)The integer number of records to delete. If not present, defaults to a system defined value. Cannot be greater than the system defined value.
- _allowMulti
boolean(required)flag to allow multiple resources to be deleted in one operation
- contactAdminPersonId
string(optional)Admin Person. Maximum length is 40. Validating pattern is ^[\p{Graph}]*$.
- leadUnitNumber
string(optional)Lead Unit. Maximum length is 20. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- negotiationId
string(optional)Negotiation ID. Maximum length is 22. Validating pattern is ^[0-9]*$.
- negotiationUnassociatedDetailId
string(optional)negotiationUnassociatedDetailId. Maximum length is 22. Validating pattern is ^[0-9]*$.
- piName
string(optional)Principal Investigator Name. Maximum length is 165. Validating pattern is .*.
- piPersonId
string(optional)Principal Investigator Employee. Maximum length is 40. Validating pattern is ^[\p{Graph}]*$.
- piRolodexId
string(optional)Principal Investigator Non-Employee. Maximum length is 6. Validating pattern is ^((-?[1-9][0-9])|[0])*$.
- primeSponsorCode
string(optional)Prime Sponsor. Maximum length is 20. Validating pattern is ^[\p{Graph}]*$.
- sponsorAwardNumber
string(optional)Sponsor Award ID. Maximum length is 70. Validating pattern is ^[\p{Graph}\p{Space}]*$.
- sponsorCode
string(optional)Sponsor. Maximum length is 20. Validating pattern is ^[\p{Graph}]*$.
- subAwardOrganizationId
string(optional)Subaward Organization. Maximum length is 8. Validating pattern is ^[\p{Graph}]*$.
- title
string(optional)Title. Maximum length is 200. Validating pattern is ^[\u0000-\uFFFF]*$.
Headers
Authorization: Bearer {api-key}
Content-Type: application/json204Headers
X-Kuali-Paging-Start-Index: startIndex - The integer index used for paging.
X-Kuali-Paging-Limit: limit - The integer number of records used to delete either imposed by the system or as requested
X-Kuali-Paging-Total: total - The integer number of records in totalNegotiations ¶
Get Negotiations by KeyGET/negotiation/api/v1/negotiations/(key)
Example URI
Headers
Authorization: Bearer {api-key}
Content-Type: application/json200Headers
Content-Type: application/json;charset=UTF-8Body
{
"anticipatedAwardDate": "(val)",
"associatedDocumentId": "(val)",
"documentFolder": "(val)",
"documentNumber": "(val)",
"negotiationAgreementTypeId": "(val)",
"negotiationAssociationTypeId": "(val)",
"negotiationEndDate": "(val)",
"negotiationId": "(val)",
"negotiationStartDate": "(val)",
"negotiationStatusId": "(val)",
"negotiatorName": "(val)",
"negotiatorPersonId": "(val)",
"_primaryKey": "(val)"
}Get All NegotiationsGET/negotiation/api/v1/negotiations/
Example URI
- _startIndex
string(optional)The integer index to use for paging. Zero based. If not present, defaults to 0. Cannot be less than 0.
- _limit
[...]
